#ifndef PLAYER_H
#define PLAYER_H
#include "entity.h"
#include "connection.h"

class Player : public Entity
{
private:
	Entity* targetEnt; // Currently moving towards / sitting on this entity
	bool landed; // If true, have landed on targetEnt; if false, am jumping towards it
	video::ITexture* playerLanded;
	video::ITexture* playerFly;
public: // lazy!
	Connection* draggingConnection; // Pulling this connection (if any) behind us when jumping

public:
	int lives;
	Player(scene::ISceneManager* smgr, Entity* targetEnt);
	virtual void update(float deltaTime);
	void die();
	void reset();
	virtual Connection* setTarget(Entity* newTarget);
	virtual ~Player();
};

#endif
